<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.mapper.ProtThresholdMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.admin.entity.ProtThreshold">
        <id column="id" property="id" />
        <result column="prot_type" property="protType" />
        <result column="COD1" property="cod1" />
        <result column="COD2" property="cod2" />
        <result column="PH1" property="ph1" />
        <result column="PH2" property="ph2" />
        <result column="NH3N1" property="Nh3n1" />
        <result column="NH3N2" property="Nh3n2" />
        <result column="TP1" property="tp1" />
        <result column="TP2" property="tp2" />
        <result column="TN1" property="tn1" />
        <result column="TN2" property="tn2" />
        <result column="FLOW1" property="flow1" />
        <result column="FLOW2" property="flow2" />
        <result column="user_ids" property="userIds" />
        <result column="farm_id" property="farmId" />
        <result column="date_type" property="dataType" />
        <result column="other2" property="other2" />
        <result column="other3" property="other3" />
    </resultMap>

</mapper>
